version: 1
name: tutorial

environments:
  - name: tutorial
    json:
      name: tutorial
      env: "docker"
      specific:
        image: $$TUTORIAL_IMAGE$$:$$VERSION$$
        restart: true
        privileged: false
        update_image: false
        master_ip: 172.17.0.3
      env_path: $$HOME$$/.COMPSs/envs/tutorial
      working_dir: $$WORKING_DIR$$
      log_dir: $$WORKING_DIR$$/.COMPSs
      cfg_file: $$HOME$$/.COMPSs/envs/tutorial/config.json
      setup:
        - echo 'not needed'
      setup_file: $$HOME$$/.COMPSs/envs/tutorial/setup.sh

    script: |
      echo 'not needed'

    repository:
      scripts:
        url: "https://github.com/bsc-wdc/tutorial_apps"
        branch: "stable"
      notebooks:
        url: "https://github.com/bsc-wdc/notebooks"
        branch: "master"

